Updates the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "f72393b5-c9cd-4f2a-bc92-3d89570e0ec4",
"purchase_order_id": "e6ccb361-43ba-4d66-aa3d-b7abdfaa563f",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "ffb4b075-a5a0-4d0f-9044-4c69d55e5cd2",
"id2": 2,
"jobs_id": "06732a50-bf9e-46e7-8497-2999a9e16d7c",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "4012cbbd-20b7-426b-ad2b-6357163e703f",
"supplier_company_code": "sample string 6",
"user_id": "9ed8f87f-dbf4-4967-bdb8-e45c5eed0694",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-16T15:07:55.4219801+00:00",
"date_update": "2026-10-16T15:07:55.4219801+00:00",
"date_delivery": "2026-10-16T15:07:55.4219801+00:00",
"confirmed_date_delivery": "2026-10-16T15:07:55.4219801+00:00",
"delivery_db_address_id": "3c365254-df30-470f-8dd2-ff74aa2ae527",
"approved_by_user_id": "8c596566-beaf-4ecc-afb0-0651c2e7485e",
"approved_by_user_code": "sample string 18",
"technical_user_id": "b9cf6528-c028-4660-b141-967b089cec00",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "df8a3ae6-484c-4eef-b0a4-90f3a67134a5",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "37216cdd-5986-47d3-816a-42c00a79ea14",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-16T15:07:55.4219801+00:00"
},
"article_id": "a84fea2c-7b4d-4a60-a0b6-8db9ecdbc251",
"article_code": "sample string 5",
"article": {
"id": "8ccb3000-2c50-49c7-b2d2-a2baac1458f8",
"article_category_id": "c1d2fa91-4f20-45ff-a46f-84f12a9ac356",
"article_category": {
"id": "6461d684-d5f0-46f5-ae10-683700960b63",
"parent_id": "62644553-af14-478a-b4c4-7e0577589de4",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-16T15:07:55.4219801+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "0e5dba15-1ea8-49dd-8aa7-2b080338ee50",
"article_group_1_code": "sample string 5",
"article_group_2_id": "d082141c-b565-467b-b1be-766bf8236c28",
"article_group_2_code": "sample string 7",
"article_group_3_id": "3baab1f8-0b86-4986-9f3a-c85f13856cdb",
"article_group_3_code": "sample string 9",
"article_group_4_id": "f62b5ed0-bfae-4485-a3bf-01cdc6b99740",
"article_group_4_code": "sample string 11",
"article_group_5_id": "e09eec21-20d4-4d3b-965e-4f09a910404c",
"article_group_5_code": "sample string 13",
"article_group_6_id": "8e4cece9-96c3-44f4-b699-548dbb0ace49",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-16T15:07:55.4219801+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-16T15:07:55.4219801+00:00",
"date_update": "2026-10-16T15:07:55.4219801+00:00",
"modified_dateutc": "2026-10-16T15:07:55.4219801+00:00",
"article_color_id": "6661bd06-c4da-4b41-bf87-eede766c1272",
"article_color_code": "sample string 38",
"article_color": {
"id": "31e72381-e9f5-414c-91f3-9d3afb706bd5",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-16T15:07:55.4219801+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "9931de1b-c8f8-4f99-9545-fa565973f6e8",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "ace4db95-926d-44bc-9e09-c0075d73da5a",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-16T15:07:55.439886+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.